commit 047a14c5de0d1195d4edfcb1d7e42188d48b6d58
Author: raveit65 <mate@raveit.de>
Date:   Tue Sep 17 16:59:18 2019 +0200

    release 1.22.2

 NEWS         | 59 +++++++++++++++++++++++++++++++++++++++++++++--------------
 configure.ac |  2 +-
 2 files changed, 46 insertions(+), 15 deletions(-)

commit ceecf8fb6486f68008ac060ab0900a0af2ba0704
Author: raveit65 <mate@raveit.de>
Date:   Tue Sep 17 16:41:24 2019 +0200

    tx: sync with transifex

 po/LINGUAS        |    1 +
 po/af.po          |  221 +-
 po/am.po          |  222 +-
 po/ar.po          |  237 +-
 po/as.po          |  217 +-
 po/ast.po         |  226 +-
 po/az.po          |  221 +-
 po/be.po          |  217 +-
 po/bg.po          |  238 +-
 po/bn.po          |  219 +-
 po/bn_IN.po       |  219 +-
 po/br.po          |  225 +-
 po/bs.po          |  221 +-
 po/ca.po          |  234 +-
 po/ca@valencia.po |  226 +-
 po/cmn.po         |  217 +-
 po/crh.po         |  217 +-
 po/cs.po          |  312 +--
 po/cy.po          |  223 +-
 po/da.po          |  226 +-
 po/de.po          |  325 +--
 po/dz.po          |  217 +-
 po/el.po          |  327 +--
 po/en_AU.po       |  217 +-
 po/en_CA.po       |  217 +-
 po/en_GB.po       |  403 ++-
 po/eo.po          |  232 +-
 po/es.po          |  637 ++---
 po/es_AR.po       |  234 +-
 po/es_CL.po       |  228 +-
 po/es_CO.po       |  225 +-
 po/es_MX.po       |  237 +-
 po/et.po          |  616 ++---
 po/eu.po          |  244 +-
 po/fa.po          |  252 +-
 po/fi.po          |  314 +--
 po/fr.po          |  320 +--
 po/frp.po         |  221 +-
 po/fur.po         |  221 +-
 po/fy.po          |  223 +-
 po/ga.po          |  225 +-
 po/gd.po          |  222 +-
 po/gl.po          |  224 +-
 po/gu.po          |  219 +-
 po/ha.po          |  217 +-
 po/he.po          |  277 +-
 po/hi.po          |  224 +-
 po/hr.po          |  234 +-
 po/hu.po          |  299 +-
 po/hy.po          |  223 +-
 po/ia.po          |  227 +-
 po/id.po          |  246 +-
 po/ie.po          | 7875 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ig.po          |  217 +-
 po/is.po          |  221 +-
 po/it.po          |  238 +-
 po/ja.po          |  241 +-
 po/ka.po          |  226 +-
 po/kk.po          |  219 +-
 po/kn.po          |  223 +-
 po/ks.po          |  221 +-
 po/ku.po          |  219 +-
 po/ku_IQ.po       |  221 +-
 po/ky.po          |  223 +-
 po/li.po          |  221 +-
 po/lt.po          |  226 +-
 po/lv.po          |  229 +-
 po/mai.po         |  217 +-
 po/mg.po          |  217 +-
 po/mi.po          |  221 +-
 po/mk.po          |  223 +-
 po/ml.po          |  251 +-
 po/mn.po          |  223 +-
 po/mr.po          |  219 +-
 po/ms.po          |  286 +-
 po/nb.po          |  236 +-
 po/nds.po         |  224 +-
 po/ne.po          |  225 +-
 po/nl.po          |  238 +-
 po/nn.po          |  221 +-
 po/nso.po         |  217 +-
 po/oc.po          |  226 +-
 po/or.po          |  217 +-
 po/pa.po          |  222 +-
 po/pl.po          |  323 +--
 po/pms.po         |  221 +-
 po/ps.po          |  221 +-
 po/pt.po          |  308 ++-
 po/pt_BR.po       |  328 +--
 po/ro.po          |  231 +-
 po/ru.po          |  244 +-
 po/rw.po          |  221 +-
 po/sc.po          |  221 +-
 po/si.po          |  223 +-
 po/sk.po          |  234 +-
 po/sl.po          |  231 +-
 po/sq.po          |  290 +-
 po/sr.po          |  219 +-
 po/sr@latin.po    |  223 +-
 po/sv.po          |  246 +-
 po/ta.po          |  225 +-
 po/te.po          |  223 +-
 po/th.po          |  228 +-
 po/tk.po          |  217 +-
 po/tr.po          |  236 +-
 po/ug.po          |  217 +-
 po/uk.po          |  287 +-
 po/ur.po          |  219 +-
 po/uz.po          |  217 +-
 po/vi.po          |  232 +-
 po/wa.po          |  217 +-
 po/xh.po          |  217 +-
 po/yi.po          |  223 +-
 po/yo.po          |  217 +-
 po/zh_CN.po       |  302 +-
 po/zh_HK.po       |  223 +-
 po/zh_TW.po       |  228 +-
 po/zu.po          |  217 +-
 118 files changed, 21915 insertions(+), 14203 deletions(-)

commit 7d6d9f540de3f0c37a7d0c130a55b2e172518a7f
Author: Pablo Barciela <scow@riseup.net>
Date:   Sun Aug 18 02:22:52 2019 +0200

    caja-progress-info: use NotifyNotification instead of GNotification
    
    Fixes https://github.com/mate-desktop/caja/issues/1285

 libcaja-private/caja-progress-info.c | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit 0dd907a928f0032797c277935f4330cfe6eeb8de
Author: rbuj <robert.buj@gmail.com>
Date:   Sat Aug 10 10:40:50 2019 +0200

    Update Korean translation which prevents a segfault on file move
    See https://github.com/mate-desktop/caja/issues/1280

 po/ko.po | 295 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 149 insertions(+), 146 deletions(-)

commit bba4c05a3276bdf6c2cf1a3989106a2793fb7642
Author: Andrey Streltsov <grozahn@gmail.com>
Date:   Fri Aug 9 00:02:11 2019 +0300

    Use the same view settings for search results as the folder being searched
    
    Fix issue https://github.com/mate-desktop/caja/issues/704

 src/caja-window-manage-views.c | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit a42ba3c50a7536dc80f109b579220279e95fd9c3
Author: raveit65 <mate@raveit.de>
Date:   Thu Jul 25 23:33:14 2019 +0200

    Revert "tx: Fix POT path in config"
    
    This reverts commit 546d340eea1e6cc86f4185407915ae1aa8d39955.
    
    caja.pot will be generated in /po dir, so this is the right place to use
    for transifex config.
    see makepot script and https://github.com/mate-desktop/caja/commit/546d340eea1e6cc86f4185407915ae1aa8d39955#commitcomment-34401197 for explanation how transifex config works.
    Or compare it with other repos.

 .tx/config | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0527cc73992d8f5fd42088651308ca57e4011be3
Author: Wu Xiaotian <yetist@gmail.com>
Date:   Wed Jul 17 16:54:53 2019 +0800

    fix build error about fm-empty-view

 src/file-manager/fm-empty-view.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit de6d2f6d89e02e76b4b636e0f726f7be5723e1dd
Author: Victor Kareh <vkareh@redhat.com>
Date:   Sun Jul 7 07:52:06 2019 -0400

    preferences: Render extension icons as cairo_surfaces

 src/caja-file-management-properties.c  | 24 ++++++++++++------------
 src/caja-file-management-properties.ui |  4 ++--
 2 files changed, 14 insertions(+), 14 deletions(-)

commit 164ebe9b6d808bd2abad1ea6e7ff6eec402453a9
Author: Victor Kareh <vkareh@redhat.com>
Date:   Sun Jul 7 07:21:51 2019 -0400

    preferences: Render media icons as cairo_surface

 src/caja-file-management-properties.c | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit 8446b73407dd3c9ca0b061d4c87b94e52cf94a85
Author: Victor Kareh <vkareh@redhat.com>
Date:   Sun Jul 7 07:00:00 2019 -0400

    Replace gdkpixbuf with cairo_surfaces in a few more places

 eel/eel-gtk-extensions.c         |  8 +++---
 eel/eel-gtk-extensions.h         |  3 +--
 libcaja-private/caja-file.c      | 21 ---------------
 libcaja-private/caja-file.h      |  5 ----
 src/caja-spatial-window.c        | 55 ++++++++++++++++++++--------------------
 src/file-manager/fm-empty-view.c |  6 ++---
 6 files changed, 35 insertions(+), 63 deletions(-)

commit dd2609cd88cfded8f4a5c8d8455f8aaad324b3d9
Author: Victor Kareh <vkareh@redhat.com>
Date:   Sat Jul 6 08:16:09 2019 -0400

    sidebar: Render info icon as vector

 src/caja-sidebar-title.c | 33 +++++++++++++++++----------------
 1 file changed, 17 insertions(+), 16 deletions(-)

commit 9800844b41eb32c612ceb7ea272edca9bde1a17e
Author: Pablo Barciela <scow@riseup.net>
Date:   Fri Apr 12 19:38:16 2019 +0200

    caja-location-dialog: Fix 'cppcheck' and 'clang' warnings
    
    Fixes 'cppcheck' warnings:
    
    [src/caja-location-dialog.c:229] -> [src/caja-location-dialog.c:237]: (warning) Either the condition 'window' is redundant or there is possible null pointer dereference: window.
    [src/caja-location-dialog.c:224]: (style) The scope of the variable 'formatted_location' can be reduced.
    
    Fixes Clang static analyzer warning:
    
    caja-location-dialog.c:237:12: warning: Access to field 'details' results in a dereference of a null pointer (loaded from variable 'window')
        slot = window->details->active_pane->active_slot;
               ^~~~~~~~~~~~~~~

 src/caja-location-dialog.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit fbdab96b5913c8aa7117e3dbee07efc42eea00c1
Author: Pablo Barciela <scow@riseup.net>
Date:   Thu Apr 4 10:30:22 2019 +0200

    eel-editable-label: Use 'memmove' instead of 'memcpy'
    
    Fixes 'flawfinder' warning:
    
    (buffer) memcpy: Does not check for buffer overflows when copying to destination (CWE-120). Make sure destination can always hold the source data.

 eel/eel-editable-label.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6ec797480806fae394d0ff086cf3923655fd7bdd
Author: Pablo Barciela <scow@riseup.net>
Date:   Sun Mar 31 03:21:37 2019 +0200

    caja-file: avoid shifting signed 32-bit value by 31 bits
    
    Fixes cppcheck warnings:
    
    [libcaja-private/caja-file.c:288]: (error) Shifting signed 32-bit value by 31 bits is undefined behaviour
    [libcaja-private/caja-file.c:334]: (error) Shifting signed 32-bit value by 31 bits is undefined behaviour
    [libcaja-private/caja-file.c:386]: (error) Shifting signed 32-bit value by 31 bits is undefined behaviour
    [libcaja-private/caja-file.c:3789]: (error) Shifting signed 32-bit value by 31 bits is undefined behaviour

 libcaja-private/caja-file.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cd14d61be16ab05f64d7639ffaf586361ba8c4a7
Author: Pablo Barciela <scow@riseup.net>
Date:   Sun Mar 31 01:32:08 2019 +0100

    caja-icon-canvas-item: initialize variable 'scale'
    
    Fixes cppcheck warning:
    
    [libcaja-private/caja-icon-canvas-item.c:517]: (error) Uninitialized variable: scale

 libcaja-private/caja-icon-canvas-item.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fb212b53d8608dc8416766c65233e74c7af388ce
Author: Pablo Barciela <scow@riseup.net>
Date:   Sat Mar 30 17:07:42 2019 +0100

    caja-application: avoid NULL inside 'g_object_unref'
    
    Fixes Clang static analyzer warning:
    
    caja-application.c:2221:25: warning: Array access (from variable 'files') results in a null pointer dereference
            g_object_unref (files[idx]);
                            ^~~~~~~~~~

 src/caja-application.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 3eaef9c555ce65fa2a01e60667ec819c237ffc46
Author: Pablo Barciela <scow@riseup.net>
Date:   Sat Mar 30 02:18:49 2019 +0100

    fm-desktop-icon-view: remove dead code
    
    Fixes Clang static analyzer warnings:
    
    fm-desktop-icon-view.c:331:33: warning: 1st function call argument is an uninitialized value
            if (pointer == NULL && (gdk_device_get_source (cur) == GDK_SOURCE_MOUSE)) {
                                    ^~~~~~~~~~~~~~~~~~~~~~~~~~~
    
    fm-desktop-icon-view.c:335:34: warning: 1st function call argument is an uninitialized value
            if (keyboard == NULL && (gdk_device_get_source (cur) == GDK_SOURCE_KEYBOARD)) {
                                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~

 src/file-manager/fm-desktop-icon-view.c | 12 +-----------
 1 file changed, 1 insertion(+), 11 deletions(-)

commit 374757b8ff53c4e1a19827ccd04c1ac026e1e69e
Author: Pablo Barciela <scow@riseup.net>
Date:   Thu Mar 28 21:40:41 2019 +0100

    caja-file-operations: make sure 'error' isn't NULL
    
    Fixes Clang static analyzer warnings:
    
    caja-file-operations.c:2165:7: warning: Access to field 'code' results in a dereference of a null pointer (loaded from variable 'error')
                    if (error->code != G_IO_ERROR_FAILED_HANDLED) {
                        ^~~~~~~~~~~
    
    caja-file-operations.c:5448:14: warning: Access to field 'message' results in a dereference of a null pointer (loaded from variable 'error')
                            details = error->message;
                                      ^~~~~~~~~~~~~~

 libcaja-private/caja-file-operations.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 32b41e72a508636947fc3c107caf504fe74da224
Author: Pablo Barciela <scow@riseup.net>
Date:   Thu Mar 28 04:44:36 2019 +0100

    caja-open-with-dialog: make sure there is error before showing it
    
    Fixes Clang static analyzer warning:
    
    caja-open-with-dialog.c:252:100: warning: Access to field 'message' results in a dereference of a null pointer (loaded from variable 'error')
            message = g_strdup_printf (_("Could not add application to the application database: %s"), error->message);
                                                                                                       ^~~~~~~~~~~~~~

 libcaja-private/caja-open-with-dialog.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit e4596d56b206d86f0b51948ad58eb2c8bf62f821
Author: Pablo Barciela <scow@riseup.net>
Date:   Sun Mar 24 01:47:00 2019 +0100

    caja-sidebar-title: avoid 'NULL' inside 'setup_gc_with_fg'
    
    Fixes Clang static analyzer warning:
    
    caja-sidebar-title.c:233:49: warning: Dereference of null pointer (loaded from variable 'color')
        sidebar_title->details->label_colors[idx] = *color;
                                                    ^~~~~~

 src/caja-sidebar-title.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ac65bdb624c5abe65026d7df767be1f7c912d5b6
Author: Pablo Barciela <scow@riseup.net>
Date:   Tue Mar 12 21:29:21 2019 +0100

    caja-autorun: avoid NULL in 'memcpy'
    
    Fixes Clang static analyzer warning:
    
    caja-autorun.c:139:5: warning: Null pointer passed as an argument to a 'nonnull' parameter
        memcpy (r, v, len * sizeof (char *));
        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

 libcaja-private/caja-autorun.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit cdfc9f8e90ed44cb7ce5a42e2ab100fde4fb89ab
Author: Pablo Barciela <scow@riseup.net>
Date:   Sat Mar 9 01:58:28 2019 +0100

    eel-editable-label: call argument with initialized value
    
    Fixes Clang static analyzer warning:
    
    eel-editable-label.c:2624:9: warning: 2nd function call argument is an uninitialized value
        if (pango_layout_line_x_to_index (line,
            ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

 eel/eel-editable-label.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d69846132a0e172521ee10741069ff60152ad8a8
Author: David H. Gutteridge <dhgutteridge@users.noreply.github.com>
Date:   Wed Mar 6 20:12:18 2019 -0500

    configure.ac: fix portability issue with test
    
    "test ... ==" isn't a portable expression, change to POSIX "=".

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c5f3d9664fcfd1d476d57eae3364a91d72043d57
Author: Pablo Barciela <scow@riseup.net>
Date:   Sun Mar 3 02:20:43 2019 +0100

    eel-canvas: Fix warning: Undefined or garbage value returned to caller
    
    Fixes Clang static analyzer warning:
    
    eel-canvas.c:3426:9: warning: Undefined or garbage value returned to caller
            return item;
            ^~~~~~~~~~~

 eel/eel-canvas.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cb23ee025b4edd94a0e42cd2667ea6b07a60ac51
Author: Pablo Barciela <scow@riseup.net>
Date:   Sun Mar 3 01:44:59 2019 +0100

    caja-window: Fix garbage value
    
    Fixes Clang static analyzer warning:
    
    caja-window.c:554:34: warning: The left operand of '<' is a garbage value
                                     MIN (default_width,
                                     ^    ~~~~~~~~~~~~~

 src/caja-window.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit dd4252ba7f6cc46f0261751f5811d16181590e4b
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Feb 20 15:22:46 2019 +0100

    Fix attempt to free released memory

 src/caja-emblem-sidebar.c | 1 -
 1 file changed, 1 deletion(-)

commit 546d340eea1e6cc86f4185407915ae1aa8d39955
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Mon Jul 22 17:18:45 2019 +0200

    tx: Fix POT path in config

 .tx/config | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e9104034f07a8d993c3bd5568d805439ef318e0a
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Mon Jul 22 16:42:44 2019 +0200

    Revert "tx: sync with transifex"
    
    This reverts commit a1fda5f4cca0d5019428a81799bfce4c235e9ec4.
    
    That commit deleted all ngettext translations (for some reasons
    these must have been missing in Transifex).

 po/af.po          |   6 +-
 po/am.po          |  42 ++--
 po/ar.po          |  22 +-
 po/as.po          |   2 +-
 po/ast.po         |  22 +-
 po/az.po          |   6 +-
 po/be.po          |   2 +-
 po/bg.po          |  33 ++-
 po/bn.po          |   4 +-
 po/bn_IN.po       |   4 +-
 po/br.po          |  10 +-
 po/bs.po          |   6 +-
 po/ca.po          |  43 ++--
 po/ca@valencia.po | 337 +++++++++++++------------
 po/cmn.po         |   2 +-
 po/crh.po         |   2 +-
 po/cs.po          | 367 +++++++++++++--------------
 po/cy.po          |   8 +-
 po/da.po          |  53 ++--
 po/de.po          | 126 +++++-----
 po/dz.po          |   2 +-
 po/el.po          |  41 ++-
 po/en_AU.po       |   2 +-
 po/en_CA.po       |   2 +-
 po/en_GB.po       |   8 +-
 po/eo.po          |  30 +--
 po/es.po          | 121 +++++----
 po/es_AR.po       |  20 +-
 po/es_CL.po       |  10 +-
 po/es_CO.po       |  10 +-
 po/es_MX.po       |  22 +-
 po/et.po          |  82 +++---
 po/eu.po          |  51 ++--
 po/fa.po          |  42 ++--
 po/fi.po          |  18 +-
 po/fr.po          | 445 +++++++++++++++++----------------
 po/frp.po         |   6 +-
 po/fur.po         |   6 +-
 po/fy.po          |   8 +-
 po/ga.po          |  10 +-
 po/gd.po          |   6 +-
 po/gl.po          | 313 ++++++++++++-----------
 po/gu.po          |   4 +-
 po/ha.po          |   2 +-
 po/he.po          |  65 +++--
 po/hi.po          |  13 +-
 po/hr.po          |  14 +-
 po/hu.po          | 154 ++++++------
 po/hy.po          |  23 +-
 po/ia.po          |  12 +-
 po/id.po          |  37 ++-
 po/ig.po          |   2 +-
 po/is.po          |   6 +-
 po/it.po          | 149 ++++++-----
 po/ja.po          |  34 +--
 po/ka.po          |  26 +-
 po/kk.po          |   4 +-
 po/kn.po          |   8 +-
 po/ko.po          | 147 ++++++-----
 po/ks.po          |   6 +-
 po/ku.po          |   4 +-
 po/ku_IQ.po       |   6 +-
 po/ky.po          |   8 +-
 po/li.po          |   6 +-
 po/lt.po          | 663 ++++++++++++++++++++++++------------------------
 po/lv.po          |  14 +-
 po/mai.po         |   2 +-
 po/mg.po          |   2 +-
 po/mi.po          |   6 +-
 po/mk.po          |   8 +-
 po/ml.po          |  36 +--
 po/mn.po          |   8 +-
 po/mr.po          |   4 +-
 po/ms.po          |  84 +++----
 po/nb.po          |  12 +-
 po/nds.po         |  18 +-
 po/ne.po          |  10 +-
 po/nl.po          | 355 +++++++++++++-------------
 po/nn.po          |   6 +-
 po/nso.po         |   2 +-
 po/oc.po          |  13 +-
 po/or.po          |   2 +-
 po/pa.po          |  19 +-
 po/pl.po          | 394 +++++++++++++++--------------
 po/pms.po         |   6 +-
 po/ps.po          |   6 +-
 po/pt.po          | 440 ++++++++++++++++----------------
 po/pt_BR.po       | 408 +++++++++++++++---------------
 po/ro.po          |  16 +-
 po/ru.po          | 724 +++++++++++++++++++++++++++--------------------------
 po/rw.po          |   6 +-
 po/sc.po          |   6 +-
 po/si.po          |   8 +-
 po/sk.po          | 134 +++++-----
 po/sl.po          |  16 +-
 po/sq.po          |  83 +++---
 po/sr.po          |   4 +-
 po/sr@latin.po    |   8 +-
 po/sv.po          | 362 ++++++++++++++-------------
 po/ta.po          |  10 +-
 po/te.po          |   8 +-
 po/th.po          |  23 +-
 po/tk.po          |   2 +-
 po/tr.po          | 316 +++++++++++------------
 po/ug.po          |   2 +-
 po/uk.po          | 736 +++++++++++++++++++++++++++---------------------------
 po/ur.po          |   4 +-
 po/uz.po          |   2 +-
 po/vi.po          |  22 +-
 po/wa.po          |   2 +-
 po/xh.po          |   2 +-
 po/yi.po          |   8 +-
 po/yo.po          |   2 +-
 po/zh_CN.po       | 110 ++++----
 po/zh_HK.po       |   8 +-
 po/zh_TW.po       |  22 +-
 po/zu.po          |   2 +-
 117 files changed, 4133 insertions(+), 4115 deletions(-)

commit c54687e7d0f841c0bbcca7ce4fc808fd1739366d
Author: Victor Kareh <vkareh@redhat.com>
Date:   Fri Jul 5 12:55:05 2019 -0400

    Render file-conflict icons as cairo_surface vectors

 libcaja-private/caja-file-conflict-dialog.c | 62 ++++++++++++++---------------
 libcaja-private/caja-file.c                 | 21 ++++++++++
 libcaja-private/caja-file.h                 | 27 ++++++++-----
 3 files changed, 68 insertions(+), 42 deletions(-)

commit cd688d3ea7935a03a7b8694d24f3e04e0606d610
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Jul 4 01:48:46 2019 -0400

    file-conflict-dialog: don't scale icons twice on hidpi monitors
    
    Hardcode scale factor to 1 in  caja_file_get_icon_pixbuf functions in caja-file-conflict as these icons are already getting scaled elsewhere. Otherwise they get scaled twice and the whole dialog is ballooned oversize on hidpi
    
    *Based on similar change made in Nautilus as a small part of fd01842f996b7d07baf2aafb0f68308fc5ed2055 "file-conflict-dialog: separate file logic from UI management " which was a more general refactoring of the file conflict dialog and split out the frontend and backend code.

 libcaja-private/caja-file-conflict-dialog.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 39102868b174e5fc35dc19039e4f510e249eac68
Author: monsta <monsta@inbox.ru>
Date:   Sat May 4 14:13:16 2019 +0300

    desktop icon view: disconnect callback from correct GSettings instance
    
    taken from:
    https://github.com/linuxmint/nemo/commit/89090ac192638d75359876d917b6d3ce106196af

 src/file-manager/fm-desktop-icon-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a55d09ae1c92aa051c93452543ab44df9bc238fb
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jun 28 15:04:24 2019 -0400

    hidpi: ensure all icons are properly scaled

 libcaja-private/caja-icon-info.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bd0f818a341bf03dfc5c82e1bd7c072457bd2597
Author: raveit65 <mate@raveit.de>
Date:   Tue May 21 18:45:13 2019 +0200

    travis: use fedora-30 and ubuntu-19.04 for building

 .travis.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 36ff37ba30a1ad83986f4c6abd9833cfa99168c5
Author: raveit65 <mate@raveit.de>
Date:   Mon Apr 22 22:19:29 2019 +0200

    release 1.22.1

 NEWS         | 17 +++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 18 insertions(+), 1 deletion(-)

commit a1fda5f4cca0d5019428a81799bfce4c235e9ec4
Author: raveit65 <mate@raveit.de>
Date:   Mon Apr 22 22:08:11 2019 +0200

    tx: sync with transifex

 po/af.po          |   6 +-
 po/am.po          |  42 ++--
 po/ar.po          |  22 +-
 po/as.po          |   2 +-
 po/ast.po         |  22 +-
 po/az.po          |   6 +-
 po/be.po          |   2 +-
 po/bg.po          |  33 +--
 po/bn.po          |   4 +-
 po/bn_IN.po       |   4 +-
 po/br.po          |  10 +-
 po/bs.po          |   6 +-
 po/ca.po          |  43 ++--
 po/ca@valencia.po | 337 ++++++++++++-------------
 po/cmn.po         |   2 +-
 po/crh.po         |   2 +-
 po/cs.po          | 367 ++++++++++++++-------------
 po/cy.po          |   8 +-
 po/da.po          |  53 ++--
 po/de.po          | 126 +++++-----
 po/dz.po          |   2 +-
 po/el.po          |  41 +--
 po/en_AU.po       |   2 +-
 po/en_CA.po       |   2 +-
 po/en_GB.po       |   8 +-
 po/eo.po          |  30 +--
 po/es.po          | 121 ++++-----
 po/es_AR.po       |  20 +-
 po/es_CL.po       |  10 +-
 po/es_CO.po       |  10 +-
 po/es_MX.po       |  22 +-
 po/et.po          |  82 +++---
 po/eu.po          |  51 ++--
 po/fa.po          |  42 ++--
 po/fi.po          |  18 +-
 po/fr.po          | 445 ++++++++++++++++-----------------
 po/frp.po         |   6 +-
 po/fur.po         |   6 +-
 po/fy.po          |   8 +-
 po/ga.po          |  10 +-
 po/gd.po          |   6 +-
 po/gl.po          | 313 +++++++++++------------
 po/gu.po          |   4 +-
 po/ha.po          |   2 +-
 po/he.po          |  65 ++---
 po/hi.po          |  13 +-
 po/hr.po          |  14 +-
 po/hu.po          | 154 ++++++------
 po/hy.po          |  23 +-
 po/ia.po          |  12 +-
 po/id.po          |  37 +--
 po/ig.po          |   2 +-
 po/is.po          |   6 +-
 po/it.po          | 149 +++++------
 po/ja.po          |  34 +--
 po/ka.po          |  26 +-
 po/kk.po          |   4 +-
 po/kn.po          |   8 +-
 po/ko.po          | 147 +++++------
 po/ks.po          |   6 +-
 po/ku.po          |   4 +-
 po/ku_IQ.po       |   6 +-
 po/ky.po          |   8 +-
 po/li.po          |   6 +-
 po/lt.po          | 663 ++++++++++++++++++++++++------------------------
 po/lv.po          |  14 +-
 po/mai.po         |   2 +-
 po/mg.po          |   2 +-
 po/mi.po          |   6 +-
 po/mk.po          |   8 +-
 po/ml.po          |  36 ++-
 po/mn.po          |   8 +-
 po/mr.po          |   4 +-
 po/ms.po          |  84 ++++---
 po/nb.po          |  12 +-
 po/nds.po         |  18 +-
 po/ne.po          |  10 +-
 po/nl.po          | 355 +++++++++++++-------------
 po/nn.po          |   6 +-
 po/nso.po         |   2 +-
 po/oc.po          |  13 +-
 po/or.po          |   2 +-
 po/pa.po          |  19 +-
 po/pl.po          | 394 ++++++++++++++---------------
 po/pms.po         |   6 +-
 po/ps.po          |   6 +-
 po/pt.po          | 440 ++++++++++++++++----------------
 po/pt_BR.po       | 408 +++++++++++++++---------------
 po/ro.po          |  16 +-
 po/ru.po          | 724 ++++++++++++++++++++++++++---------------------------
 po/rw.po          |   6 +-
 po/sc.po          |   6 +-
 po/si.po          |   8 +-
 po/sk.po          | 134 +++++-----
 po/sl.po          |  16 +-
 po/sq.po          |  83 +++---
 po/sr.po          |   4 +-
 po/sr@latin.po    |   8 +-
 po/sv.po          | 362 +++++++++++++--------------
 po/ta.po          |  10 +-
 po/te.po          |   8 +-
 po/th.po          |  23 +-
 po/tk.po          |   2 +-
 po/tr.po          | 316 +++++++++++------------
 po/ug.po          |   2 +-
 po/uk.po          | 736 +++++++++++++++++++++++++++---------------------------
 po/ur.po          |   4 +-
 po/uz.po          |   2 +-
 po/vi.po          |  22 +-
 po/wa.po          |   2 +-
 po/xh.po          |   2 +-
 po/yi.po          |   8 +-
 po/yo.po          |   2 +-
 po/zh_CN.po       | 110 ++++----
 po/zh_HK.po       |   8 +-
 po/zh_TW.po       |  22 +-
 po/zu.po          |   2 +-
 117 files changed, 4115 insertions(+), 4133 deletions(-)

commit 03d57ac505af5adce7d388bcc96895d5a5995234
Author: raveit65 <mate@raveit.de>
Date:   Mon Apr 22 22:11:57 2019 +0200

    tx: update resource file

 caja.pot | 216 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 106 insertions(+), 110 deletions(-)

commit b9f782253a4ad705d00197ff59b7f45d5dc8c530
Author: Pablo Barciela <scow@riseup.net>
Date:   Mon Mar 25 23:03:56 2019 +0100

    caja-progress-info: make sure argument is initialized
    
    Fixes Clang static analyzer warning:
    
    caja-progress-info.c:626:17: warning: 1st function call argument is an uninitialized value
                    g_notification_set_body (notification, _("Process completed"));
                    ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

 libcaja-private/caja-progress-info.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 79be18ef14cdf3404b96af1e8355648b5c0b3beb
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Tue Apr 2 16:43:16 2019 -0400

    Fix invocation with --geometry from the command line
    
    Due to changes somewhere else windows called with --geometry must now be opened before splitedOptions is freed or the geometry passed to later functions gets corrrupted
    
    Note that setting a width smaller than 654 px will generate GTK warnings (negative content width and similar) but will still mostly work.

 src/caja-application.c | 21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)

commit 03879a95d4e7af812be6e0d7017855da67cf2ab3
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Wed Apr 3 03:26:13 2019 -0400

    Pass "NULL" for keyboard event
    
    Fix  #1198 "Context menu with menu key broken"
    
    Pass "NULL" for event which is passed ultimately to gtk_menu_popup_at_pointer as an invalid event was being passed when the menu key was used to open the icon views context menu

 src/file-manager/fm-directory-view.c | 6 +++++-
 src/file-manager/fm-icon-view.c      | 6 +++++-
 2 files changed, 10 insertions(+), 2 deletions(-)

commit dac2499eca04cdc0c96636b3ef0b9e8f4de7f0e7
Author: raveit65 <mate@raveit.de>
Date:   Tue Mar 26 12:07:07 2019 +0100

    github release for stable branch

 .travis.yml | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 3033b7cb2185d5733d4379f1be4f912cfb33768f
Author: Pablo Barciela <scow@riseup.net>
Date:   Sat Mar 23 01:37:55 2019 +0100

    caja-file: Fix incomplete file replacement dialog
    
    Fixes https://github.com/mate-desktop/caja/issues/1183

 libcaja-private/caja-file.c | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)

commit 117eb8f77d01a3cbacba7ed0bb54273765141ad8
Author: raveit65 <mate@raveit.de>
Date:   Mon Mar 11 13:12:22 2019 +0100

    tx: update transifex config

 .tx/config | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 601c8533a5430055df7af0c723387888ff014c3a
Author: Pablo Barciela <scow@riseup.net>
Date:   Sun Mar 3 02:54:35 2019 +0100

    eel-gdk-pixbuf-extensions: Fix division by zero
    
    Fixes Clang static analyzer warning:
    
    eel-gdk-pixbuf-extensions.c:403:29: warning: Division by zero
                    *dest++ = r / n_pixels;
                              ~~^~~~~~~~~~

 eel/eel-gdk-pixbuf-extensions.c | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

commit 6e6c9c6b456718ba76ecbd2d956f718374ffd3cd
Author: Pablo Barciela <scow@riseup.net>
Date:   Mon Feb 25 05:02:20 2019 +0100

    caja-file: Fix use of memory after it is freed
    
    to avoid warning with Clang Analyzer

 libcaja-private/caja-file.c | 20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

commit 0bd2d81dac01922ee0b6afaf3fe8431f93182f3b
Author: Pablo Barciela <scow@riseup.net>
Date:   Sat Feb 23 18:21:38 2019 +0100

    caja-icon-container: Fix use of memory after it is freed
    
    to avoid warning with Clang Analyzer

 libcaja-private/caja-icon-container.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1848d37c4ddb0d4d5b20f5bbb99b94e22aae68e7
Author: Pablo Barciela <scow@riseup.net>
Date:   Sun Feb 24 21:22:40 2019 +0100

    fm-tree-model: Fix use of memory after it is freed
    
    to avoid warning with Clang Analyzer

 src/file-manager/fm-tree-model.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 7c9ae01aaee4583eb0ca979dc3a07b6ae585a90d
Author: Pablo Barciela <scow@riseup.net>
Date:   Sat Feb 23 19:00:46 2019 +0100

    caja-information-panel: Fix use of memory after it is freed
    
    to avoid warning with Clang Analyzer

 src/caja-information-panel.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 7b605dd4d10b44aa8fd998d75dc2862edeea8629
Author: Pablo Barciela <scow@riseup.net>
Date:   Sat Feb 23 18:01:57 2019 +0100

    fm-directory-view: Fix use of memory after it is freed
    
    to avoid warning with Clang Analyzer

 src/file-manager/fm-directory-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 58312fdac5009d104ac32481a03dd130d91ebef7
Author: Pablo Barciela <scow@riseup.net>
Date:   Sat Feb 23 16:58:20 2019 +0100

    caja-tree-view-drag-dest: Fix memory leak
    
    to avoid warning with Clang Analyzer

 libcaja-private/caja-tree-view-drag-dest.c | 1 +
 1 file changed, 1 insertion(+)

commit 7a26045d9b7ea816a3302253e0192013d44e8f45
Author: Pablo Barciela <scow@riseup.net>
Date:   Sat Feb 23 15:47:55 2019 +0100

    [Security] eel-string: Use 'g_strlcat' instead of 'strcat'
    
    to avoid warnings with Clang Analyzer

 .github/issue_template.md                          |    19 +
 .travis.yml                                        |   124 +
 .tx/config                                         |     9 +
 AUTHORS                                            |    68 +
 COPYING                                            |   345 +
 COPYING.EXTENSIONS                                 |    10 +
 COPYING.LIB                                        |   481 +
 ChangeLog                                          |     2 +
 HACKING                                            |     8 +
 Makefile.am                                        |    49 +
 Makefile.shared                                    |     1 +
 NEWS                                               |   458 +
 README                                             |    14 +
 autogen.sh                                         |    25 +
 caja.pot                                           |  7845 +++++++++++++
 configure.ac                                       |   377 +
 data/Makefile.am                                   |    75 +
 data/browser.xml                                   |    75 +
 data/caja-autorun-software.desktop.in              |    10 +
 data/caja-browser.desktop.in                       |    13 +
 data/caja-computer.desktop.in                      |    13 +
 data/caja-desktop.css                              |    34 +
 data/caja-extras.placeholder                       |     2 +
 data/caja-file-management-properties.desktop.in    |    11 +
 data/caja-folder-handler.desktop.in                |    12 +
 data/caja-home.desktop.in                          |    13 +
 data/caja-suggested.placeholder                    |     2 +
 data/caja.appdata.xml.in                           |    41 +
 data/caja.css                                      |    43 +
 data/caja.desktop.in                               |    14 +
 data/caja.xml.in                                   |     8 +
 data/freedesktop-dbus-interfaces.xml               |    36 +
 data/icons/Makefile.am                             |    78 +
 data/icons/hicolor_emblems_16x16_emblem-note.png   |   Bin 0 -> 534 bytes
 data/icons/hicolor_emblems_24x24_emblem-note.png   |   Bin 0 -> 913 bytes
 data/icons/hicolor_emblems_48x48_emblem-note.png   |   Bin 0 -> 2454 bytes
 data/org.mate.freedesktop.FileManager1.service.in  |     3 +
 data/patterns/Makefile.am                          |    39 +
 data/patterns/blue_gray_rough.png                  |   Bin 0 -> 22418 bytes
 data/patterns/blue_ridge.png                       |   Bin 0 -> 263 bytes
 data/patterns/blue_type.png                        |   Bin 0 -> 11060 bytes
 data/patterns/brushed_metal.png                    |   Bin 0 -> 29181 bytes
 data/patterns/burlap.jpg                           |   Bin 0 -> 1611 bytes
 data/patterns/camouflage.png                       |   Bin 0 -> 29561 bytes
 data/patterns/chalk.jpg                            |   Bin 0 -> 821 bytes
 data/patterns/cork.png                             |   Bin 0 -> 20928 bytes
 data/patterns/countertop.png                       |   Bin 0 -> 4787 bytes
 data/patterns/dark-mate.jpg                        |   Bin 0 -> 9877 bytes
 data/patterns/dots.png                             |   Bin 0 -> 922 bytes
 data/patterns/fibers.png                           |   Bin 0 -> 28188 bytes
 data/patterns/fleur_de_lis.png                     |   Bin 0 -> 28890 bytes
 data/patterns/floral.png                           |   Bin 0 -> 73080 bytes
 data/patterns/fossil.png                           |   Bin 0 -> 14478 bytes
 data/patterns/green_weave.png                      |   Bin 0 -> 8088 bytes
 data/patterns/ice.png                              |   Bin 0 -> 19562 bytes
 data/patterns/manila_paper.png                     |   Bin 0 -> 21751 bytes
 data/patterns/mate.jpg                             |   Bin 0 -> 8316 bytes
 data/patterns/moss_ridge.png                       |   Bin 0 -> 274 bytes
 data/patterns/numbers.png                          |   Bin 0 -> 8993 bytes
 data/patterns/ocean_stripes.png                    |   Bin 0 -> 274 bytes
 data/patterns/purple_marble.png                    |   Bin 0 -> 12288 bytes
 data/patterns/reset.png                            |   Bin 0 -> 441 bytes
 data/patterns/ridged_paper.png                     |   Bin 0 -> 10353 bytes
 data/patterns/rough_paper.png                      |   Bin 0 -> 3955 bytes
 data/patterns/sky_ridge.png                        |   Bin 0 -> 264 bytes
 data/patterns/snow_ridge.png                       |   Bin 0 -> 274 bytes
 data/patterns/stucco.jpg                           |   Bin 0 -> 2499 bytes
 data/patterns/terracotta.png                       |   Bin 0 -> 32001 bytes
 data/patterns/wavy_white.png                       |   Bin 0 -> 1522 bytes
 docs/Makefile.am                                   |    26 +
 docs/architecture.txt                              |   160 +
 docs/caja-autorun-software.1                       |    36 +
 docs/caja-connect-server.1                         |    40 +
 docs/caja-file-management-properties.1             |    28 +
 docs/caja-internals.pdf                            |   Bin 0 -> 307912 bytes
 docs/caja-internals.sxw                            |   Bin 0 -> 59282 bytes
 docs/caja-io.txt                                   |   255 +
 docs/caja.1                                        |    84 +
 docs/caja.faq                                      |     7 +
 docs/dnd.txt                                       |    92 +
 docs/key_mouse_navigation.txt                      |   112 +
 docs/load-states.dia                               |   Bin 0 -> 2026 bytes
 docs/recommended-books.html                        |   167 +
 docs/reference/Makefile.am                         |     1 +
 docs/reference/libcaja-extension/Makefile.am       |    81 +
 .../libcaja-extension/libcaja-extension-docs.xml   |    36 +
 .../libcaja-extension-overrides.txt                |     0
 .../libcaja-extension-sections.txt                 |   188 +
 .../libcaja-extension/libcaja-extension.types      |    11 +
 docs/reference/libcaja-extension/version.xml.in    |     1 +
 docs/smoketests.html                               |   555 +
 docs/state-machines.txt                            |    77 +
 docs/style-guide.html                              |   137 +
 eel/Makefile.am                                    |   131 +
 eel/README                                         |     4 +
 eel/check-eel                                      |     3 +
 eel/check-program.c                                |    60 +
 eel/eel-accessibility.c                            |   256 +
 eel/eel-accessibility.h                            |   144 +
 eel/eel-art-extensions.c                           |   321 +
 eel/eel-art-extensions.h                           |   120 +
 eel/eel-art-gtk-extensions.c                       |    70 +
 eel/eel-art-gtk-extensions.h                       |    53 +
 eel/eel-background-box.c                           |    64 +
 eel/eel-background-box.h                           |    71 +
 eel/eel-background.c                               |  1155 ++
 eel/eel-background.h                               |   164 +
 eel/eel-canvas-rect-ellipse.c                      |   897 ++
 eel/eel-canvas-rect-ellipse.h                      |   145 +
 eel/eel-canvas.c                                   |  4051 +++++++
 eel/eel-canvas.h                                   |   561 +
 eel/eel-debug.c                                    |   107 +
 eel/eel-debug.h                                    |    51 +
 eel/eel-editable-label.c                           |  4255 +++++++
 eel/eel-editable-label.h                           |   143 +
 eel/eel-gdk-extensions.c                           |   676 ++
 eel/eel-gdk-extensions.h                           |   122 +
 eel/eel-gdk-pixbuf-extensions.c                    |   415 +
 eel/eel-gdk-pixbuf-extensions.h                    |    75 +
 eel/eel-glib-extensions.c                          |  1134 ++
 eel/eel-glib-extensions.h                          |   115 +
 eel/eel-graphic-effects.c                          |   358 +
 eel/eel-graphic-effects.h                          |    66 +
 eel/eel-gtk-container.c                            |   225 +
 eel/eel-gtk-container.h                            |    48 +
 eel/eel-gtk-extensions.c                           |   507 +
 eel/eel-gtk-extensions.h                           |    77 +
 eel/eel-gtk-macros.h                               |   178 +
 eel/eel-image-table.c                              |   662 ++
 eel/eel-image-table.h                              |    99 +
 eel/eel-labeled-image.c                            |  2408 ++++
 eel/eel-labeled-image.h                            |   166 +
 eel/eel-lib-self-check-functions.c                 |    38 +
 eel/eel-lib-self-check-functions.h                 |    49 +
 eel/eel-mate-extensions.c                          |   201 +
 eel/eel-mate-extensions.h                          |    39 +
 eel/eel-self-checks.c                              |   237 +
 eel/eel-self-checks.h                              |   101 +
 eel/eel-stock-dialogs.c                            |   662 ++
 eel/eel-stock-dialogs.h                            |    93 +
 eel/eel-string.c                                   |  1058 ++
 eel/eel-string.h                                   |   106 +
 eel/eel-vfs-extensions.c                           |   159 +
 eel/eel-vfs-extensions.h                           |    58 +
 eel/eel-wrap-table.c                               |  1130 ++
 eel/eel-wrap-table.h                               |   108 +
 eel/eel-xml-extensions.c                           |   126 +
 eel/eel-xml-extensions.h                           |    43 +
 eel/eel.h                                          |    48 +
 icons/Makefile.am                                  |    16 +
 icons/audio.svg                                    |    43 +
 icons/backgrounds.png                              |   Bin 0 -> 3735 bytes
 icons/chit_frame.png                               |   Bin 0 -> 751 bytes
 icons/colors.png                                   |   Bin 0 -> 3115 bytes
 icons/emblems.png                                  |   Bin 0 -> 3122 bytes
 icons/erase.png                                    |   Bin 0 -> 3441 bytes
 icons/knob.png                                     |   Bin 0 -> 206 bytes
 icons/thumbnail_frame.png                          |   Bin 0 -> 2232 bytes
 libcaja-extension/Makefile.am                      |    90 +
 libcaja-extension/caja-column-provider.c           |    87 +
 libcaja-extension/caja-column-provider.h           |    69 +
 libcaja-extension/caja-column.c                    |   249 +
 libcaja-extension/caja-column.h                    |    71 +
 libcaja-extension/caja-configurable.c              |    88 +
 libcaja-extension/caja-configurable.h              |    68 +
 libcaja-extension/caja-extension-i18n.h            |    24 +
 libcaja-extension/caja-extension-private.h         |    39 +
 libcaja-extension/caja-extension-types.c           |    56 +
 libcaja-extension/caja-extension-types.h           |    90 +
 libcaja-extension/caja-file-info.c                 |   381 +
 libcaja-extension/caja-file-info.h                 |   178 +
 libcaja-extension/caja-info-provider.c             |   130 +
 libcaja-extension/caja-info-provider.h             |    93 +
 libcaja-extension/caja-location-widget-provider.c  |    91 +
 libcaja-extension/caja-location-widget-provider.h  |    72 +
 libcaja-extension/caja-menu-item.c                 |   347 +
 libcaja-extension/caja-menu-item.h                 |    30 +
 libcaja-extension/caja-menu-provider.c             |   165 +
 libcaja-extension/caja-menu-provider.h             |    93 +
 libcaja-extension/caja-menu.c                      |   130 +
 libcaja-extension/caja-menu.h                      |   114 +
 libcaja-extension/caja-property-page-provider.c    |    97 +
 libcaja-extension/caja-property-page-provider.h    |    72 +
 libcaja-extension/caja-property-page.c             |   249 +
 libcaja-extension/caja-property-page.h             |    68 +
 .../libcaja-extension-uninstalled.pc.in            |    12 +
 libcaja-extension/libcaja-extension.pc.in          |    12 +
 libcaja-private/Makefile.am                        |   233 +
 libcaja-private/README                             |     7 +
 libcaja-private/caja-autorun.c                     |  1464 +++
 libcaja-private/caja-autorun.h                     |    81 +
 libcaja-private/caja-bookmark.c                    |   694 ++
 libcaja-private/caja-bookmark.h                    |   100 +
 .../caja-cell-renderer-text-ellipsized.c           |    74 +
 .../caja-cell-renderer-text-ellipsized.h           |    61 +
 libcaja-private/caja-clipboard-monitor.c           |   334 +
 libcaja-private/caja-clipboard-monitor.h           |    85 +
 libcaja-private/caja-clipboard.c                   |   683 ++
 libcaja-private/caja-clipboard.h                   |    54 +
 libcaja-private/caja-column-chooser.c              |   670 ++
 libcaja-private/caja-column-chooser.h              |    69 +
 libcaja-private/caja-column-utilities.c            |   344 +
 libcaja-private/caja-column-utilities.h            |    41 +
 libcaja-private/caja-customization-data.c          |   496 +
 libcaja-private/caja-customization-data.h          |    68 +
 libcaja-private/caja-debug-log.c                   |   759 ++
 libcaja-private/caja-debug-log.h                   |    58 +
 libcaja-private/caja-default-file-icon.c           |   537 +
 libcaja-private/caja-default-file-icon.h           |    32 +
 libcaja-private/caja-desktop-directory-file.c      |   584 +
 libcaja-private/caja-desktop-directory-file.h      |    58 +
 libcaja-private/caja-desktop-directory.c           |   561 +
 libcaja-private/caja-desktop-directory.h           |    61 +
 libcaja-private/caja-desktop-icon-file.c           |   404 +
 libcaja-private/caja-desktop-icon-file.h           |    64 +
 libcaja-private/caja-desktop-link-monitor.c        |   520 +
 libcaja-private/caja-desktop-link-monitor.h        |    64 +
 libcaja-private/caja-desktop-link.c                |   530 +
 libcaja-private/caja-desktop-link.h                |    84 +
 libcaja-private/caja-desktop-metadata.c            |   312 +
 libcaja-private/caja-desktop-metadata.h            |    47 +
 libcaja-private/caja-directory-async.c             |  5339 +++++++++
 libcaja-private/caja-directory-background.c        |   408 +
 libcaja-private/caja-directory-background.h        |    37 +
 libcaja-private/caja-directory-notify.h            |    68 +
 libcaja-private/caja-directory-private.h           |   239 +
 libcaja-private/caja-directory.c                   |  1789 +++
 libcaja-private/caja-directory.h                   |   240 +
 libcaja-private/caja-dnd.c                         |  1405 +++
 libcaja-private/caja-dnd.h                         |   197 +
 libcaja-private/caja-emblem-utils.c                |   511 +
 libcaja-private/caja-emblem-utils.h                |    53 +
 libcaja-private/caja-entry.c                       |   420 +
 libcaja-private/caja-entry.h                       |    77 +
 libcaja-private/caja-extensions.c                  |   236 +
 libcaja-private/caja-extensions.h                  |    53 +
 libcaja-private/caja-file-attributes.h             |    47 +
 libcaja-private/caja-file-changes-queue.c          |   419 +
 libcaja-private/caja-file-changes-queue.h          |    42 +
 libcaja-private/caja-file-conflict-dialog.c        |   769 ++
 libcaja-private/caja-file-conflict-dialog.h        |    80 +
 libcaja-private/caja-file-dnd.c                    |   185 +
 libcaja-private/caja-file-dnd.h                    |    44 +
 libcaja-private/caja-file-operations.c             |  6764 +++++++++++
 libcaja-private/caja-file-operations.h             |   143 +
 libcaja-private/caja-file-private.h                |   319 +
 libcaja-private/caja-file-queue.c                  |   133 +
 libcaja-private/caja-file-queue.h                  |    52 +
 libcaja-private/caja-file-utilities.c              |  1269 +++
 libcaja-private/caja-file-utilities.h              |    97 +
 libcaja-private/caja-file.c                        |  8830 +++++++++++++++
 libcaja-private/caja-file.h                        |   603 +
 libcaja-private/caja-global-preferences.c          |    90 +
 libcaja-private/caja-global-preferences.h          |   229 +
 libcaja-private/caja-icon-canvas-item.c            |  3632 ++++++
 libcaja-private/caja-icon-canvas-item.h            |   119 +
 libcaja-private/caja-icon-container.c              | 10165 +++++++++++++++++
 libcaja-private/caja-icon-container.h              |   371 +
 libcaja-private/caja-icon-dnd.c                    |  1990 ++++
 libcaja-private/caja-icon-dnd.h                    |    57 +
 libcaja-private/caja-icon-info.c                   |   822 ++
 libcaja-private/caja-icon-info.h                   |   113 +
 libcaja-private/caja-icon-names.h                  |    31 +
 libcaja-private/caja-icon-private.h                |   320 +
 libcaja-private/caja-keep-last-vertical-box.c      |   167 +
 libcaja-private/caja-keep-last-vertical-box.h      |    59 +
 libcaja-private/caja-lib-self-check-functions.c    |    38 +
 libcaja-private/caja-lib-self-check-functions.h    |    50 +
 libcaja-private/caja-link.c                        |   641 ++
 libcaja-private/caja-link.h                        |    54 +
 libcaja-private/caja-metadata.c                    |    81 +
 libcaja-private/caja-metadata.h                    |    80 +
 libcaja-private/caja-mime-actions.c                |  2581 +++++
 libcaja-private/caja-mime-actions.h                |    61 +
 libcaja-private/caja-mime-application-chooser.c    |   741 ++
 libcaja-private/caja-mime-application-chooser.h    |    57 +
 libcaja-private/caja-module.c                      |   316 +
 libcaja-private/caja-module.h                      |    46 +
 libcaja-private/caja-monitor.c                     |   200 +
 libcaja-private/caja-monitor.h                     |    38 +
 libcaja-private/caja-open-with-dialog.c            |  1187 ++
 libcaja-private/caja-open-with-dialog.h            |    66 +
 libcaja-private/caja-program-choosing.c            |   554 +
 libcaja-private/caja-program-choosing.h            |    57 +
 libcaja-private/caja-progress-info.c               |  1417 +++
 libcaja-private/caja-progress-info.h               |    86 +
 libcaja-private/caja-query.c                       |   482 +
 libcaja-private/caja-query.h                       |    78 +
 libcaja-private/caja-recent.c                      |    80 +
 libcaja-private/caja-recent.h                      |    13 +
 libcaja-private/caja-saved-search-file.c           |    46 +
 libcaja-private/caja-saved-search-file.h           |    58 +
 libcaja-private/caja-search-directory-file.c       |   258 +
 libcaja-private/caja-search-directory-file.h       |    59 +
 libcaja-private/caja-search-directory.c            |   931 ++
 libcaja-private/caja-search-directory.h            |    73 +
 libcaja-private/caja-search-engine-beagle.c        |   442 +
 libcaja-private/caja-search-engine-beagle.h        |    53 +
 libcaja-private/caja-search-engine-simple.c        |   637 ++
 libcaja-private/caja-search-engine-simple.h        |    53 +
 libcaja-private/caja-search-engine-tracker.c       |   577 +
 libcaja-private/caja-search-engine-tracker.h       |    53 +
 libcaja-private/caja-search-engine.c               |   216 +
 libcaja-private/caja-search-engine.h               |    77 +
 libcaja-private/caja-sidebar-provider.c            |    74 +
 libcaja-private/caja-sidebar-provider.h            |    61 +
 libcaja-private/caja-sidebar.c                     |   128 +
 libcaja-private/caja-sidebar.h                     |    84 +
 libcaja-private/caja-signaller.c                   |   115 +
 libcaja-private/caja-signaller.h                   |    46 +
 libcaja-private/caja-thumbnails.c                  |   603 +
 libcaja-private/caja-thumbnails.h                  |    43 +
 libcaja-private/caja-trash-monitor.c               |   240 +
 libcaja-private/caja-trash-monitor.h               |    68 +
 libcaja-private/caja-tree-view-drag-dest.c         |  1305 +++
 libcaja-private/caja-tree-view-drag-dest.h         |   106 +
 libcaja-private/caja-ui-utilities.c                |   315 +
 libcaja-private/caja-ui-utilities.h                |    44 +
 libcaja-private/caja-undostack-manager.c           |  2019 ++++
 libcaja-private/caja-undostack-manager.h           |   184 +
 libcaja-private/caja-vfs-directory.c               |   163 +
 libcaja-private/caja-vfs-directory.h               |    57 +
 libcaja-private/caja-vfs-file.c                    |   786 ++
 libcaja-private/caja-vfs-file.h                    |    57 +
 libcaja-private/caja-view-factory.c                |   126 +
 libcaja-private/caja-view-factory.h                |    75 +
 libcaja-private/caja-view.c                        |   330 +
 libcaja-private/caja-view.h                        |   193 +
 libcaja-private/caja-window-info.c                 |   319 +
 libcaja-private/caja-window-info.h                 |   208 +
 libcaja-private/caja-window-slot-info.c            |   161 +
 libcaja-private/caja-window-slot-info.h            |   106 +
 libcaja-private/org.mate.caja.gschema.xml          |   492 +
 .../org.mate.media-handling.gschema.xml            |    34 +
 libegg/Makefile.am                                 |    35 +
 libegg/eggdesktopfile.c                            |  1468 +++
 libegg/eggdesktopfile.h                            |   166 +
 libegg/eggsmclient-private.h                       |    47 +
 libegg/eggsmclient-xsmp.c                          |  1366 +++
 libegg/eggsmclient.c                               |   608 +
 libegg/eggsmclient.h                               |   117 +
 libegg/eggtreemultidnd.c                           |   417 +
 libegg/eggtreemultidnd.h                           |    78 +
 makepot                                            |     5 +
 po/LINGUAS                                         |   125 +
 po/POTFILES.in                                     |   116 +
 po/POTFILES.skip                                   |     2 +
 po/af.po                                           |  7948 +++++++++++++
 po/am.po                                           |  7882 +++++++++++++
 po/ar.po                                           |  8361 ++++++++++++++
 po/as.po                                           |  8016 +++++++++++++
 po/ast.po                                          |  8049 +++++++++++++
 po/az.po                                           |  7893 +++++++++++++
 po/be.po                                           |  8163 ++++++++++++++
 po/bg.po                                           |  8160 ++++++++++++++
 po/bn.po                                           |  8096 +++++++++++++
 po/bn_IN.po                                        |  8101 +++++++++++++
 po/br.po                                           |  8418 ++++++++++++++
 po/bs.po                                           |  7979 +++++++++++++
 po/ca.po                                           |  8203 ++++++++++++++
 po/ca@valencia.po                                  |  8200 ++++++++++++++
 po/cmn.po                                          |  7801 +++++++++++++
 po/crh.po                                          |  8032 +++++++++++++
 po/cs.po                                           |  8281 ++++++++++++++
 po/cy.po                                           |  7980 +++++++++++++
 po/da.po                                           |  8132 ++++++++++++++
 po/de.po                                           |  8285 ++++++++++++++
 po/dz.po                                           |  7953 +++++++++++++
 po/el.po                                           |  8246 ++++++++++++++
 po/en_AU.po                                        |  8074 +++++++++++++
 po/en_CA.po                                        |  7918 +++++++++++++
 po/en_GB.po                                        |  8088 +++++++++++++
 po/eo.po                                           |  7994 +++++++++++++
 po/es.po                                           |  8209 ++++++++++++++
 po/es_AR.po                                        |  7820 +++++++++++++
 po/es_CL.po                                        |  7813 +++++++++++++
 po/es_CO.po                                        |  8191 ++++++++++++++
 po/es_ES.po                                        |  7675 +++++++++++++
 po/es_MX.po                                        |  7858 +++++++++++++
 po/es_PR.po                                        |  7674 +++++++++++++
 po/et.po                                           |  8095 +++++++++++++
 po/eu.po                                           |  8129 ++++++++++++++
 po/fa.po                                           |  7932 +++++++++++++
 po/fi.po                                           |  8026 +++++++++++++
 po/fr.po                                           |  8272 ++++++++++++++
 po/fr_CA.po                                        |  7544 +++++++++++++
 po/frp.po                                          |  7810 +++++++++++++
 po/fur.po                                          |  7840 +++++++++++++
 po/fy.po                                           |  7814 +++++++++++++
 po/ga.po                                           |  8097 +++++++++++++
 po/gd.po                                           |  8010 +++++++++++++
 po/gl.po                                           |  8182 ++++++++++++++
 po/gnome-copyrights.txt                            |  1869 +++
 po/gu.po                                           |  8040 +++++++++++++
 po/ha.po                                           |  7929 +++++++++++++
 po/he.po                                           |  8192 ++++++++++++++
 po/hi.po                                           |  8022 +++++++++++++
 po/hr.po                                           |  8189 ++++++++++++++
 po/hu.po                                           |  8157 ++++++++++++++
 po/hy.po                                           |  8150 ++++++++++++++
 po/ia.po                                           |  7813 +++++++++++++
 po/id.po                                           |  8084 +++++++++++++
 po/ig.po                                           |  7817 +++++++++++++
 po/is.po                                           |  8026 +++++++++++++
 po/it.po                                           |  8210 ++++++++++++++
 po/ja.po                                           |  7861 +++++++++++++
 po/ka.po                                           |  7956 +++++++++++++
 po/kk.po                                           |  7950 +++++++++++++
 po/km.po                                           |  7460 ++++++++++++
 po/kn.po                                           |  8050 +++++++++++++
 po/ko.po                                           |  7841 +++++++++++++
 po/ks.po                                           |  7810 +++++++++++++
 po/ku.po                                           |  7869 +++++++++++++
 po/ku_IQ.po                                        |  7810 +++++++++++++
 po/ky.po                                           |  7731 +++++++++++++
 po/la.po                                           |  7674 +++++++++++++
 po/li.po                                           |  7865 +++++++++++++
 po/lt.po                                           |  8285 ++++++++++++++
 po/lv.po                                           |  8158 ++++++++++++++
 po/mai.po                                          |  7919 +++++++++++++
 po/mg.po                                           |  7965 +++++++++++++
 po/mi.po                                           |  7810 +++++++++++++
 po/mk.po                                           |  8027 +++++++++++++
 po/ml.po                                           |  8154 ++++++++++++++
 po/mn.po                                           |  7903 +++++++++++++
 po/mr.po                                           |  8065 +++++++++++++
 po/ms.po                                           |  8042 +++++++++++++
 po/nb.po                                           |  8109 ++++++++++++++
 po/nds.po                                          |  7883 +++++++++++++
 po/ne.po                                           |  7957 +++++++++++++
 po/nl.po                                           |  8239 ++++++++++++++
 po/nn.po                                           |  8008 +++++++++++++
 po/nso.po                                          |  7971 +++++++++++++
 po/oc.po                                           |  8119 ++++++++++++++
 po/or.po                                           |  8092 +++++++++++++
 po/pa.po                                           |  8002 +++++++++++++
 po/pl.po                                           |  8345 ++++++++++++++
 po/pms.po                                          |  7810 +++++++++++++
 po/ps.po                                           |  7812 +++++++++++++
 po/pt.po                                           |  8170 ++++++++++++++
 po/pt_BR.po                                        |  8195 ++++++++++++++
 po/ro.po                                           |  8258 ++++++++++++++
 po/ru.po                                           |  8367 ++++++++++++++
 po/rw.po                                           |  7810 +++++++++++++
 po/sc.po                                           |  7826 +++++++++++++
 po/si.po                                           |  7827 +++++++++++++
 po/sk.po                                           |  8291 ++++++++++++++
 po/sl.po                                           |  8247 ++++++++++++++
 po/sq.po                                           |  8054 +++++++++++++
 po/sr.po                                           |  8182 ++++++++++++++
 po/sr@latin.po                                     |  8112 ++++++++++++++
 po/sv.po                                           |  8143 ++++++++++++++
 po/ta.po                                           |  8021 +++++++++++++
 po/te.po                                           |  8003 +++++++++++++
 po/th.po                                           |  7910 +++++++++++++
 po/tk.po                                           |  7858 +++++++++++++
 po/tr.po                                           |  8130 ++++++++++++++
 po/tt.po                                           |  7588 +++++++++++++
 po/ug.po                                           |  7950 +++++++++++++
 po/uk.po                                           |  8293 ++++++++++++++
 po/ur.po                                           |  8073 +++++++++++++
 po/uz.po                                           |  7843 +++++++++++++
 po/vi.po                                           |  7913 +++++++++++++
 po/wa.po                                           |  7822 +++++++++++++
 po/xh.po                                           |  7957 +++++++++++++
 po/yi.po                                           |  7811 +++++++++++++
 po/yo.po                                           |  7883 +++++++++++++
 po/zh_CN.po                                        |  7811 +++++++++++++
 po/zh_HK.po                                        |  7794 +++++++++++++
 po/zh_TW.po                                        |  7818 +++++++++++++
 po/zu.po                                           |  7902 +++++++++++++
 src/Makefile.am                                    |   237 +
 src/caja-actions.h                                 |    56 +
 src/caja-application.c                             |  2492 ++++
 src/caja-application.h                             |   106 +
 src/caja-autorun-software.c                        |   317 +
 src/caja-bookmark-list.c                           |   807 ++
 src/caja-bookmark-list.h                           |    87 +
 src/caja-bookmarks-window.c                        |  1101 ++
 src/caja-bookmarks-window.h                        |    40 +
 src/caja-bookmarks-window.ui                       |   381 +
 src/caja-connect-server-dialog-main.c              |   149 +
 src/caja-connect-server-dialog-nonmain.c           |    98 +
 src/caja-connect-server-dialog.c                   |  1273 +++
 src/caja-connect-server-dialog.h                   |    81 +
 src/caja-connect-server-operation.c                |   136 +
 src/caja-connect-server-operation.h                |    63 +
 src/caja-desktop-window.c                          |   347 +
 src/caja-desktop-window.h                          |    81 +
 src/caja-emblem-sidebar.c                          |  1169 ++
 src/caja-emblem-sidebar.h                          |    62 +
 src/caja-file-management-properties-main.c         |    63 +
 src/caja-file-management-properties.c              |  1312 +++
 src/caja-file-management-properties.h              |    41 +
 src/caja-file-management-properties.ui             |  2643 +++++
 src/caja-freedesktop-dbus.c                        |   247 +
 src/caja-freedesktop-dbus.h                        |    42 +
 src/caja-history-sidebar.c                         |   422 +
 src/caja-history-sidebar.h                         |    50 +
 src/caja-image-properties-page.c                   |   736 ++
 src/caja-image-properties-page.h                   |    61 +
 src/caja-information-panel.c                       |  1233 ++
 src/caja-information-panel.h                       |    66 +
 src/caja-location-bar.c                            |   656 ++
 src/caja-location-bar.h                            |    76 +
 src/caja-location-dialog.c                         |   263 +
 src/caja-location-dialog.h                         |    55 +
 src/caja-location-entry.c                          |   485 +
 src/caja-location-entry.h                          |    72 +
 src/caja-main.c                                    |   292 +
 src/caja-navigation-action.c                       |   374 +
 src/caja-navigation-action.h                       |    68 +
 src/caja-navigation-window-menus.c                 |  1062 ++
 src/caja-navigation-window-pane.c                  |   960 ++
 src/caja-navigation-window-pane.h                  |    93 +
 src/caja-navigation-window-slot.c                  |   237 +
 src/caja-navigation-window-slot.h                  |    78 +
 src/caja-navigation-window-ui.xml                  |    77 +
 src/caja-navigation-window.c                       |  1419 +++
 src/caja-navigation-window.h                       |   119 +
 src/caja-notebook.c                                |   513 +
 src/caja-notebook.h                                |    99 +
 src/caja-notes-viewer.c                            |   538 +
 src/caja-notes-viewer.h                            |    50 +
 src/caja-pathbar.c                                 |  2168 ++++
 src/caja-pathbar.h                                 |    91 +
 src/caja-places-sidebar.c                          |  3579 ++++++
 src/caja-places-sidebar.h                          |    49 +
 src/caja-property-browser.c                        |  2490 ++++
 src/caja-property-browser.h                        |    71 +
 src/caja-query-editor.c                            |  1849 +++
 src/caja-query-editor.h                            |    82 +
 src/caja-search-bar.c                              |   263 +
 src/caja-search-bar.h                              |    69 +
 src/caja-self-check-functions.c                    |    40 +
 src/caja-self-check-functions.h                    |    47 +
 src/caja-shell-ui.xml                              |    89 +
 src/caja-side-pane.c                               |   619 +
 src/caja-side-pane.h                               |    78 +
 src/caja-sidebar-title.c                           |   858 ++
 src/caja-sidebar-title.h                           |    75 +
 src/caja-spatial-window-ui.xml                     |    29 +
 src/caja-spatial-window.c                          |  1124 ++
 src/caja-spatial-window.h                          |    69 +
 src/caja-trash-bar.c                               |   237 +
 src/caja-trash-bar.h                               |    59 +
 src/caja-view-as-action.c                          |   283 +
 src/caja-view-as-action.h                          |    57 +
 src/caja-window-bookmarks.c                        |   290 +
 src/caja-window-bookmarks.h                        |    38 +
 src/caja-window-manage-views.c                     |  2371 ++++
 src/caja-window-manage-views.h                     |    49 +
 src/caja-window-menus.c                            |  1176 ++
 src/caja-window-pane.c                             |   305 +
 src/caja-window-pane.h                             |    97 +
 src/caja-window-private.h                          |   250 +
 src/caja-window-slot.c                             |   705 ++
 src/caja-window-slot.h                             |   195 +
 src/caja-window-toolbars.c                         |   202 +
 src/caja-window.c                                  |  2190 ++++
 src/caja-window.h                                  |   167 +
 src/caja-x-content-bar.c                           |   331 +
 src/caja-x-content-bar.h                           |    67 +
 src/caja-zoom-action.c                             |   206 +
 src/caja-zoom-action.h                             |    57 +
 src/caja-zoom-control.c                            |   910 ++
 src/caja-zoom-control.h                            |    91 +
 src/caja.about                                     |     3 +
 src/check-caja                                     |     2 +
 src/file-manager/Makefile.am                       |    93 +
 src/file-manager/caja-audio-mime-types.h           |    46 +
 src/file-manager/caja-desktop-icon-view-ui.xml     |    21 +
 src/file-manager/caja-directory-view-ui.xml        |   236 +
 src/file-manager/caja-icon-view-ui.xml             |    60 +
 src/file-manager/caja-list-view-ui.xml             |     9 +
 src/file-manager/fm-actions.h                      |   112 +
 src/file-manager/fm-desktop-icon-view.c            |   897 ++
 src/file-manager/fm-desktop-icon-view.h            |    60 +
 src/file-manager/fm-directory-view.c               | 11222 +++++++++++++++++++
 src/file-manager/fm-directory-view.h               |   486 +
 src/file-manager/fm-ditem-page.c                   |   557 +
 src/file-manager/fm-ditem-page.h                   |    51 +
 src/file-manager/fm-empty-view.c                   |   412 +
 src/file-manager/fm-empty-view.h                   |    60 +
 src/file-manager/fm-error-reporting.c              |   380 +
 src/file-manager/fm-error-reporting.h              |    55 +
 src/file-manager/fm-icon-container.c               |   632 ++
 src/file-manager/fm-icon-container.h               |    68 +
 src/file-manager/fm-icon-view.c                    |  3442 ++++++
 src/file-manager/fm-icon-view.h                    |   135 +
 src/file-manager/fm-list-model.c                   |  1830 +++
 src/file-manager/fm-list-model.h                   |   137 +
 src/file-manager/fm-list-view-private.h            |    43 +
 src/file-manager/fm-list-view.c                    |  3496 ++++++
 src/file-manager/fm-list-view.h                    |    63 +
 src/file-manager/fm-properties-window.c            |  5771 ++++++++++
 src/file-manager/fm-properties-window.h            |    69 +
 src/file-manager/fm-tree-model.c                   |  2104 ++++
 src/file-manager/fm-tree-model.h                   |   103 +
 src/file-manager/fm-tree-view.c                    |  1801 +++
 src/file-manager/fm-tree-view.h                    |    65 +
 src/mate-network-scheme.desktop.in                 |    13 +
 test/Makefile.am                                   |    44 +
 test/test-caja-directory-async.c                   |   104 +
 test/test-caja-search-engine.c                     |    56 +
 test/test-caja-wrap-table.c                        |    96 +
 test/test-copy.c                                   |    91 +
 test/test-eel-background.c                         |    38 +
 test/test-eel-editable-label.c                     |    57 +
 test/test-eel-image-table.c                        |   302 +
 test/test-eel-labeled-image.c                      |    78 +
 test/test-eel-pixbuf-scale.c                       |    83 +
 test/test.c                                        |   150 +
 test/test.h                                        |    38 +
 update-authors.pl                                  |    72 +
 615 files changed, 1194639 insertions(+)
